--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Register the plugin as a handler for messages prefixed <em>cmd</em>.
- !ruby/struct:SM::Flow::P 
  body: This can be called multiple times for a plugin to handle multiple message prefixes.
- !ruby/struct:SM::Flow::P 
  body: "This command is now superceded by the #map() command, which should be used instead whenever possible."
full_name: Irc::Bot::Plugins::BotModule#register
is_singleton: false
name: register
params: (cmd, opts={})
visibility: public
